VARKON Version 1.15 1997-10-24

## set_root_gm - Procedure

Sets the root position in GM
Description
Used to move the current root position in the GM hierarchy. This routine is intended for use together with get_next_gm when traversing the contents in GM. With set_root_gm traversals can be restricted to only a specific part or subhierarchy. This can save lots of time if GM is large.
Syntax
set_root_gm(part_id)

REF | part_id;

Principal parameters
None.
Optional parameters

part_id | - Global identity of part to act as the new root. If not specified the root is set to the top of GM

Examples
set_root_gm(#5#3)
Makes the part #5#3 become the new root position in GM. Consecutive calls to GET_NEXT_GM will only return entities from the subtree belonging to #5#3.
set_root_gm() or set_root_gm(#0)
Resets the root to the absolute top of the entire GM. This is also default when a new job is started.

VARKON Homepage | Index